<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

namespace Inforbank\Application;

use \Slim\App;

class Login {
    public function __construct(App $app) {
        $app->get('/login', function ($request, $response, $args) {
            // Render index view
            return $this->renderer->render($response, 'login.phtml', $args);
        });
		$app->post('/login', function ($request, $response, $args) {
            // Render index view
			$post = $request->getParsedBody();
			
			$user = $this->db->gebruikers("username = ?", $post["username"]);
			if ($user->count("*") === 0){
				echo "Onjuiste gebruikersnaam of wachtwoord";
			} else {
				if(password_verify($post["password"], $user["password"])){
					session_start();
					$_SESSION["user"] = [
						"uuid" => $user["uuid"],
						"username" => $user["username"]
					];
				}else{
					echo "fout";
				}
			}
			$newResponse = $response->withHeader('Location', '');
			return $this->renderer->render($newResponse, 'login.phtml', $args);
        });
    }
}
